package com.sooka.system.gas.xinKer_user_infor.mapper;

import com.sooka.system.gas.xinKer_user_infor.domain.TGuijiXinKerUserInfor;

import java.util.List;

/**
 * 鑫科客户系统-客户信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiXinKerUserInforMapper
{
    /**
     * 查询鑫科客户系统-客户信息
     *
     * @param id 鑫科客户系统-客户信息ID
     * @return 鑫科客户系统-客户信息
     */
    public TGuijiXinKerUserInfor selectById(String id);

    /**
     * 查询鑫科客户系统-客户信息列表
     *
     * @param param 鑫科客户系统-客户信息
     * @return 鑫科客户系统-客户信息集合
     */
    public List<TGuijiXinKerUserInfor> selectList(TGuijiXinKerUserInfor param);

    /**
     * 新增鑫科客户系统-客户信息
     *
     * @param param 鑫科客户系统-客户信息
     * @return 结果
     */
    public int insert(TGuijiXinKerUserInfor param);

    /**
     * 修改鑫科客户系统-客户信息
     *
     * @param param 鑫科客户系统-客户信息
     * @return 结果
     */
    public int update(TGuijiXinKerUserInfor param);

    /**
     * 删除鑫科客户系统-客户信息
     *
     * @param id 鑫科客户系统-客户信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除鑫科客户系统-客户信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
